List Resources
List what the account can sync (labels, folders and files, conversations, or notes) and what is selected.
GET
ApiKeyAuthheader
AuthorizationBearer <token>Api key to access Mixedbreads API
installation_id*Installation IdInstallation ID, as returned when the account connected
Format
uuidcursor?|Pagination cursor from a previous page
limit?|Resources per page, for providers that paginate
query?|Filter resources by name, where supported
parent_id?|Container to list, for hierarchical providers such as Google Drive or Granola
Resources with their selection state
application/json- response
Response containing one page of an installation's resources.
data*Resources with their selection state
cURL
curl 'https://api.mixedbread.com/v1/integrations/installations/2f1c9a8e-6b4d-4e3a-9c1f-7d8e5b6a4c21/resources?limit=50' \ -H 'Authorization: Bearer YOUR_API_KEY'Example Response
{ "data": { "installation_id": "2f1c9a8e-6b4d-4e3a-9c1f-7d8e5b6a4c21", "provider": "gmail", "status": "active", "account": { "id": "olivia@example.com", "name": "olivia@example.com", "email": "olivia@example.com", "workspace": null }, "store_id": "5d3e7f9a-1b2c-4d6e-8f0a-9c8b7a6d5e4f", "store_name": "mail-olivia", "sync": { "failed_resource_count": 0, "last_error": null, "last_error_operation": null, "last_error_at": null }, "resources": [ { "id": "INBOX", "name": "INBOX", "kind": "label", "is_selected": false, "parent_id": null, "url": null, "message_count": null, "member_count": null, "sync": null }, { "id": "Label_12", "name": "Customers", "kind": "label", "is_selected": false, "parent_id": null, "url": null, "message_count": null, "member_count": null, "sync": null } ], "aliases": [ { "id": "all_mail", "name": "All mail", "kind": "label", "is_selected": true } ], "selected_resource_ids": [], "selected_resource_aliases": [ "all_mail" ], "parent_id": null, "next_cursor": null, "total": null, "listing_status": "ready", "sync_all": true }}